angular.module('internalSearchesApp', [
    'ngRoute',
    'internalSearches',
    'manageProfiles'
])
    .config(['$routeProvider',
        function ($routeProvider) {
            $routeProvider.
                when('/searches', {
                    templateUrl: ManagersContext.localTemplatesPath + '/internal-searches/searches-list.html',
                    controller: 'InternalSearchesListCtrl',
                    resolve : {
                        searches: function ($q, internalSearchService) {
                        var searches = $q.defer();
                            internalSearchService.getSearchOccurrencesByTerm().success(function (data) {
                                searches.resolve(data);
                            });
                            return searches.promise;
                        }
                    }

                }).
                when('/search/:searchId', {
                    templateUrl: ManagersContext.localTemplatesPath + '/internal-searches/search-details.html',
                    controller: 'InternalSearchesCtrl'
                }).
                when('/search/:searchId/profile/:profileId', {
                    templateUrl: ManagersContext.localTemplatesPath + '/profiles/profile-view.html',
                    controller: 'ManageProfileCtrl',
                    resolve: {
                        // resolve profile here to avoid async issue using deferred API
                        "profile": function ($q, $route, profileService) {
                            var profile = $q.defer();
                            profileService.getProfile($route.current.params.profileId).success(function (profileData) {
                                if(profileData) {
                                    profile.resolve(profileData);
                                } else {
                                    profile.reject("profile_not_found")
                                }

                            });
                            return profile.promise;
                        }
                    }
                }).
                when('/search/:searchId/profile/:profileId/:sessionId', {
                    templateUrl: ManagersContext.localTemplatesPath + '/profiles/profile-session.html',
                    controller: 'ManageSessionCtrl'
                }).
                otherwise({
                    redirectTo: '/searches'
                });
        }])
;
