<%@ page import="org.jahia.modules.marketingfactory.admin.ContextServerSettings" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="utility" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="user" uri="http://www.jahia.org/tags/user" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="variantNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>

<jsp:include page="../../commons/adminBaseImports.jsp"/>

<template:addResources type="javascript" resources="manage-personalization-conditions.js"/>

<c:set var="variants" value="${jcr:getChildrenOfType(currentNode, 'jmix:droppableContent')}" />

<script type="text/javascript">
    var currentDMFNodeUUID = "${currentNode.identifier}";
    var urlBase = '${url.base}';

    var variants = {};
    <c:forEach items="${variants}" var="variantNode">
    variants["${variantNode.identifier}"] = {
        "id": "${variantNode.identifier}",
        "name": "${functions:escapeJavaScript(variantNode.displayableName)}",
        "systemName": "${functions:escapeJavaScript(variantNode.unescapedName)}",
        "jsonFilter": ${functions:default(variantNode.properties['wem:jsonFilter'].string, 'null')},
        "tab": "${functions:default(variantNode.properties['wem:tab'].string, '')}"
    };
    </c:forEach>

    // NECESSARY TO FIX IE ISSUE RELATED TO IFRAME AND FOCUS ON INPUTS, QAMF-223, QAMF-453
    $(document).ready(function(){
        $("#ieFixInputs").focus().hide();
    })
</script>
<input id="ieFixInputs" type="text">
<div ng-app="managePersonalization">
    <div ng-controller="ManagePersonalizationCtrl" class="opttstpage">

        <div class="group">
            <div class="selectModCont">
                <label message-key="label.engineTab.dmfconditions.selectedVariant"></label>
                <div class="btn-group tabsperscontsel" role="group">
                    <button ng-repeat="variant in toBeSaveVariants" ng-class="{'active': variant.id == toBeSaveVariant.id}"
                            type="button" class="btn btn-primary" ng-click="selectVariant(variant)">{{trimVariantName(variant.name)}}</button>
                </div>
            </div>
        </div>

        <form name="personalized" novalidate="">
            <div class="group">
                <div class="selectModCont">
                    <label message-key="label.engineTab.dmfconditions.conditions"></label>
                    <div class="btn-group tabsperscontsel" role="group">
                        <button ng-repeat="tab in tabs" ng-class="{'active': (tab == toBeSaveVariant.tab && toBeSaveVariant.init)}"
                                type="button" class="btn btn-primary" ng-click="selectTab(tab)" message-key="label.engineTab.dmfconditions.type.{{tab}}"></button>
                    </div>
                </div>
            </div>

            <div class="row" ng-if="toBeSaveVariant.init">
                <div class="groupaltforcond">
                    <a href="" class="btn btn-primary" aria-expanded="false" ng-click="toBeSaveVariant.init = false"><i class="fa fa-remove"></i> <span message-key="label.engineTab.dmfconditions.remove"></span></a>

                    <fieldset>
                        <input type="hidden" name="condition" ng-model="toBeSaveVariant.conditions[toBeSaveVariant.tab].type" required>
                        <div ng-class="{'has-error' : hasError('condition')}">
                            <condition ref="toBeSaveVariant.conditions[toBeSaveVariant.tab]"
                                       types="conditionTypes"
                                       form="personalized"
                                       disable-edition="toBeSaveVariant.disableEdition"/>
                        </div>
                    </fieldset>
                </div>
            </div>
        </form>
    </div>
</div>
<template:module path="*" nodeTypes="${requestScope[constraints]}" />